> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Build Region

> Updates a multiplayer server build's region. If the region is not yet created, it will be created

Allowed entity token types: title

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| APINotEnabledForGameClientAccess | 1082 |
| MultiplayerServerBadRequest | 1382 |
| MultiplayerServerConflict | 1386 |
| MultiplayerServerForbidden | 1384 |
| MultiplayerServerInternalServerError | 1387 |
| MultiplayerServerNotFound | 1385 |
| MultiplayerServerTitleQuotaCoresExceeded | 1445 |
| MultiplayerServerUnauthorized | 1383 |
| MultiplayerServerUnavailable | 1388 |
| ProductDisabledForTitle | 1609 |




## OpenAPI

````yaml /services/playfab/api-references/rest/multiplayer/multiplayer.openapi.json post /MultiplayerServer/UpdateBuildRegion
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Multiplayer API
  description: >-
    API methods for managing multiplayer servers. API methods for managing
    parties. The lobby service helps players group together to play multiplayer
    games. It is often used as a rendezvous point for players to share
    connection information. The TrueSkill service helps titles to estimate a
    player's skill based on their match results. The player skill values from
    this service are commonly used by a matchmaking service to provide players
    with balanced matches.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Lobby
    description: ''
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Matchmaking Admin
    description: Matchmaking Admin APIs
  - name: MultiplayerServer
    description: Multiplayer Server APIs
  - name: PubSub
    description: PlayFab PubSub APIs
  - name: TrueSkill
    description: TrueSkill APIs
  - name: TrueSkill Admin
    description: TrueSkill Admin APIs
paths:
  /MultiplayerServer/UpdateBuildRegion:
    post:
      tags:
        - MultiplayerServer
      summary: Update Build Region
      description: >
        Updates a multiplayer server build's region. If the region is not yet
        created, it will be created


        Allowed entity token types: title


        ## Error codes


        This operation may return the following PlayFab errors:


        | Error | Code |

        | --- | --- |

        | APINotEnabledForGameClientAccess | 1082 |

        | MultiplayerServerBadRequest | 1382 |

        | MultiplayerServerConflict | 1386 |

        | MultiplayerServerForbidden | 1384 |

        | MultiplayerServerInternalServerError | 1387 |

        | MultiplayerServerNotFound | 1385 |

        | MultiplayerServerTitleQuotaCoresExceeded | 1445 |

        | MultiplayerServerUnauthorized | 1383 |

        | MultiplayerServerUnavailable | 1388 |

        | ProductDisabledForTitle | 1609 |
      operationId: UpdateBuildRegion
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateBuildRegionRequest'
        description: Updates a multiplayer server build's region.
      responses:
        '200':
          $ref: '#/components/responses/EmptyResponse'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    UpdateBuildRegionRequest:
      description: Updates a multiplayer server build's region.
      type: object
      properties:
        BuildId:
          description: The guid string ID of the build we want to update regions for.
          type: string
        BuildRegion:
          allOf:
            - $ref: '#/components/schemas/BuildRegionParams'
          description: >-
            The updated region configuration that should be applied to the
            specified build.
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
      required:
        - BuildId
        - BuildRegion
      example:
        BuildId: 21781fa8-096d-4d9c-b699-75433d579285
        BuildRegion:
          Region: NorthEurope
          MaxServers: 7
          StandbyServers: 3
    BuildRegionParams:
      type: object
      properties:
        DynamicStandbySettings:
          allOf:
            - $ref: '#/components/schemas/DynamicStandbySettings'
          description: >-
            Optional settings to control dynamic adjustment of standby target.
            If not specified, dynamic standby is disabled
        MaxServers:
          description: The maximum number of multiplayer servers for the region.
          type: number
          x-actualtype: int32
        MultiplayerServerCountPerVm:
          description: >-
            Regional override for the number of multiplayer servers to host on a
            single VM of the build.
          type: number
          x-actualtype: int32
        Region:
          allOf:
            - $ref: '#/components/schemas/AzureRegion'
          description: The build region.
        ScheduledStandbySettings:
          allOf:
            - $ref: '#/components/schemas/ScheduledStandbySettings'
          description: >-
            Optional settings to set the standby target to specified values
            during the supplied schedules
        StandbyServers:
          description: The number of standby multiplayer servers for the region.
          type: number
          x-actualtype: int32
        VmSize:
          allOf:
            - $ref: '#/components/schemas/AzureVmSize'
          description: Regional override for the VM size the build was created on.
      required:
        - Region
        - MaxServers
        - StandbyServers
    EmptyResponse:
      type: object
      properties: {}
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    DynamicStandbySettings:
      type: object
      properties:
        DynamicFloorMultiplierThresholds:
          description: >-
            List of auto standing by trigger values and corresponding standing
            by multiplier. Defaults to 1.5X at 50%, 3X at 25%, and 4X at 5%
          type: array
          items:
            $ref: '#/components/schemas/DynamicStandbyThreshold'
          x-isclass: true
        IsEnabled:
          description: When true, dynamic standby will be enabled
          type: boolean
        RampDownSeconds:
          description: >-
            The time it takes to reduce target standing by to configured floor
            value after an increase. Defaults to 30 minutes
          type: number
          x-actualtype: int32
      required:
        - IsEnabled
    AzureRegion:
      type: string
      enum:
        - AustraliaEast
        - AustraliaSoutheast
        - BrazilSouth
        - CentralUs
        - EastAsia
        - EastUs
        - EastUs2
        - JapanEast
        - JapanWest
        - NorthCentralUs
        - NorthEurope
        - SouthCentralUs
        - SoutheastAsia
        - WestEurope
        - WestUs
        - SouthAfricaNorth
        - WestCentralUs
        - KoreaCentral
        - FranceCentral
        - WestUs2
        - CentralIndia
        - UaeNorth
        - UkSouth
        - SwedenCentral
        - CanadaCentral
        - MexicoCentral
        - WestUs3
        - CanadaEast
        - UkWest
        - FranceSouth
        - SouthIndia
        - SpainCentral
        - GermanyWestCentral
        - ItalyNorth
        - IndonesiaCentral
        - ChileCentral
        - PolandCentral
        - NewZealandNorth
        - BrazilSoutheast
        - NorwayEast
        - SwitzerlandNorth
        - MalaysiaWest
        - IsraelCentral
        - QatarCentral
        - UaeCentral
        - GermanyNorth
        - AustriaEast
        - BelgiumCentral
        - DenmarkEast
        - SwitzerlandWest
        - SwedenSouth
        - NorwayWest
        - SouthAfricaWest
        - MalaysiaSouth
    ScheduledStandbySettings:
      type: object
      properties:
        IsEnabled:
          description: When true, scheduled standby will be enabled
          type: boolean
        ScheduleList:
          description: A list of non-overlapping schedules
          type: array
          items:
            $ref: '#/components/schemas/Schedule'
          x-isclass: true
      required:
        - IsEnabled
    AzureVmSize:
      type: string
      enum:
        - Standard_A1
        - Standard_A2
        - Standard_A3
        - Standard_A4
        - Standard_A1_v2
        - Standard_A2_v2
        - Standard_A4_v2
        - Standard_A8_v2
        - Standard_D1_v2
        - Standard_D2_v2
        - Standard_D3_v2
        - Standard_D4_v2
        - Standard_D5_v2
        - Standard_D2_v3
        - Standard_D4_v3
        - Standard_D8_v3
        - Standard_D16_v3
        - Standard_F1
        - Standard_F2
        - Standard_F4
        - Standard_F8
        - Standard_F16
        - Standard_F2s_v2
        - Standard_F4s_v2
        - Standard_F8s_v2
        - Standard_F16s_v2
        - Standard_F2as_v6
        - Standard_F4as_v6
        - Standard_F8as_v6
        - Standard_F16as_v6
        - Standard_F2as_v7
        - Standard_F4as_v7
        - Standard_F8as_v7
        - Standard_F16as_v7
        - Standard_F2ads_v7
        - Standard_F4ads_v7
        - Standard_F8ads_v7
        - Standard_F16ads_v7
        - Standard_D2as_v4
        - Standard_D4as_v4
        - Standard_D8as_v4
        - Standard_D16as_v4
        - Standard_D2a_v4
        - Standard_D4a_v4
        - Standard_D8a_v4
        - Standard_D16a_v4
        - Standard_D2ads_v5
        - Standard_D4ads_v5
        - Standard_D8ads_v5
        - Standard_D16ads_v5
        - Standard_D2ads_v6
        - Standard_D4ads_v6
        - Standard_D8ads_v6
        - Standard_D16ads_v6
        - Standard_D2ads_v7
        - Standard_D4ads_v7
        - Standard_D8ads_v7
        - Standard_D16ads_v7
        - Standard_E2a_v4
        - Standard_E4a_v4
        - Standard_E8a_v4
        - Standard_E16a_v4
        - Standard_E2as_v4
        - Standard_E4as_v4
        - Standard_E8as_v4
        - Standard_E16as_v4
        - Standard_E2ads_v5
        - Standard_E4ads_v5
        - Standard_E8ads_v5
        - Standard_E16ads_v5
        - Standard_E2ads_v6
        - Standard_E4ads_v6
        - Standard_E8ads_v6
        - Standard_E16ads_v6
        - Standard_E2ads_v7
        - Standard_E4ads_v7
        - Standard_E8ads_v7
        - Standard_E16ads_v7
        - Standard_E2ds_v4
        - Standard_E4ds_v4
        - Standard_E8ds_v4
        - Standard_E16ds_v4
        - Standard_E2ds_v5
        - Standard_E4ds_v5
        - Standard_E8ds_v5
        - Standard_E16ds_v5
        - Standard_E2ds_v6
        - Standard_E4ds_v6
        - Standard_E8ds_v6
        - Standard_E16ds_v6
        - Standard_D2s_v3
        - Standard_D4s_v3
        - Standard_D8s_v3
        - Standard_D16s_v3
        - Standard_DS1_v2
        - Standard_DS2_v2
        - Standard_DS3_v2
        - Standard_DS4_v2
        - Standard_DS5_v2
        - Standard_NC4as_T4_v3
        - Standard_D2d_v4
        - Standard_D4d_v4
        - Standard_D8d_v4
        - Standard_D16d_v4
        - Standard_D2ds_v4
        - Standard_D4ds_v4
        - Standard_D8ds_v4
        - Standard_D16ds_v4
        - Standard_HB120_16rs_v3
        - Standard_HB120_32rs_v3
        - Standard_HB120_64rs_v3
        - Standard_HB120_96rs_v3
        - Standard_HB120rs_v3
        - Standard_D2d_v5
        - Standard_D4d_v5
        - Standard_D8d_v5
        - Standard_D16d_v5
        - Standard_D32d_v5
        - Standard_D2ds_v5
        - Standard_D4ds_v5
        - Standard_D8ds_v5
        - Standard_D16ds_v5
        - Standard_D32ds_v5
        - Standard_D2ds_v6
        - Standard_D4ds_v6
        - Standard_D8ds_v6
        - Standard_D16ds_v6
        - Standard_D2pds_v6
        - Standard_D4pds_v6
        - Standard_D8pds_v6
        - Standard_D16pds_v6
    DynamicStandbyThreshold:
      type: object
      properties:
        Multiplier:
          description: When the trigger threshold is reached, multiply by this value
          type: number
          x-actualtype: double
        TriggerThresholdPercentage:
          description: >-
            The multiplier will be applied when the actual standby divided by
            target standby floor is less than this value
          type: number
          x-actualtype: double
      required:
        - TriggerThresholdPercentage
        - Multiplier
    Schedule:
      type: object
      properties:
        Description:
          description: >-
            A short description about this schedule. For example, "Game launch
            on July 15th".
          type: string
        EndTime:
          description: >-
            The date and time in UTC at which the schedule ends. If
            IsRecurringWeekly is true, this schedule will keep renewing for
            future weeks until disabled or removed.
          type: string
        IsDisabled:
          description: Disables the schedule.
          type: boolean
        IsRecurringWeekly:
          description: If true, the StartTime and EndTime will get renewed every week.
          type: boolean
        StartTime:
          description: The date and time in UTC at which the schedule starts.
          type: string
        TargetStandby:
          description: The standby target to maintain for the duration of the schedule.
          type: number
          x-actualtype: int32
      required:
        - StartTime
        - EndTime
        - IsRecurringWeekly
        - IsDisabled
        - TargetStandby
  responses:
    EmptyResponse:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/EmptyResponse'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [Update Build Region](/services/playfab/api-references/rest/multiplayer/multiplayer-server/update-build-region.md)
- [Update Build Regions](/services/playfab/api-references/rest/multiplayer/multiplayer-server/update-build-regions.md)
- [PlayFab Release Notes 2020](/services/playfab/release-notes/2020.md)
- [Scaling Programmatically](/services/playfab/multiplayer/servers/scaling-programmatically.md)
- [build_region_updated](/services/playfab/api-references/events/MultiplayerServers/build-region-updated.md)
